# Generated by Django 5.0.6 on 2024-07-16 06:07

import django.db.models.deletion
import project.apps.property_complex.models
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('property_complex', '0004_propertycomplex_commission_and_more'),
    ]

    operations = [
        migrations.AddField(
            model_name='propertycomplex',
            name='price_list',
            field=models.URLField(blank=True),
        ),
        migrations.CreateModel(
            name='DocumentLink',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('document_link', models.TextField(blank=True)),
                ('property_complex', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='documents', to='property_complex.propertycomplex')),
            ],
        ),
        migrations.CreateModel(
            name='Photo',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True, db_index=True, verbose_name='created at')),
                ('photo', models.ImageField(upload_to=project.apps.property_complex.models.upload_to)),
                ('order', models.PositiveSmallIntegerField()),
                ('property_complex', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='photos', to='property_complex.propertycomplex')),
            ],
            options={
                'unique_together': {('order', 'property_complex')},
            },
        ),
        migrations.CreateModel(
            name='VideoLink',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True, db_index=True, verbose_name='created at')),
                ('video_link', models.TextField(blank=True)),
                ('property_complex', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='videos', to='property_complex.propertycomplex')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.DeleteModel(
            name='PermitLink',
        ),
    ]
